using Nirvana.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Waste.Domain
{
    /// <summary>
    /// 常用状态定义
    /// </summary>
    public enum StatusType
    {
        /// <summary>
        /// 禁用
        /// </summary>
        [EnumTitle("禁用")]
        Disabled = 0,
        /// <summary>
        /// 平台
        /// </summary>
        [EnumTitle("正常")]
        Enabled = 1
    }

    /// <summary>
    /// 状态
    /// </summary>
    public enum AdStatus
    {
        /// <summary>
        /// 待发布
        /// </summary>
        [EnumTitle("待发布")]
        Wait = 0,
        /// <summary>
        /// 已发布
        /// </summary>
        [EnumTitle("已发布")]
        Run = 1,
        /// <summary>
        /// 已下架
        /// </summary>
        [EnumTitle("已下架")]
        Close = 2
    }
    /// <summary>
    /// 设备状态
    /// </summary>
    public enum DeviceStatus
    {
        /// <summary>
        /// 异常
        /// </summary>
        [EnumTitle("异常")]
        Error = 0,
        /// <summary>
        /// 正常
        /// </summary>
        [EnumTitle("正常")]
        Run = 1,
        /// <summary>
        /// 待激活
        /// </summary>
        [EnumTitle("待激活")]
        WaitActive = 2
    }
    /// <summary>
    /// 设备类型
    /// </summary>
    public enum DeviceType
    {
        /// <summary>
        /// A0919
        /// </summary>
        [EnumTitle("A0919")]
        A0919 = 1
    }
    /// <summary>
    /// 设备联网方式
    /// </summary>
    public enum DeviceNetType
    {
        /// <summary>
        /// 4G
        /// </summary>
        [EnumTitle("4G")]
        FourG = 1
    }
    /// <summary>
    /// 设备网络状态
    /// </summary>
    public enum DeviceNetStatus
    {
        /// <summary>
        /// 离线
        /// </summary>
        [EnumTitle("离线")]
        OffLine = 0,
        /// <summary>
        /// 在线
        /// </summary>
        [EnumTitle("在线")]
        OnLine = 1
    }
}
